<template>
  <header :class="['fixed top-0 left-0 w-full h-24 z-50 transition-transform', { '-translate-y-full': isHidden }]">
    <!-- Contenu du header -->
    <nav class="bg-white shadow-md h-full">
      <a href="/" class="font-bold">Site en construction</a>
      <select v-model="$i18n.locale">
        <option value="fr">Français</option>
        <option value="en">English</option>
      </select>
    </nav>
  </header>
</template>

<script setup>
import { ref, onMounted, onBeforeUnmount } from 'vue';
 
const isHidden = ref(false);
let lastScrollPosition = 0;

const handleScroll = () => {
  const currentScroll = window.scrollY;
  
  // Si on scroll vers le bas, cache le header, sinon affiche-le
  isHidden.value = currentScroll > lastScrollPosition;
  
  lastScrollPosition = currentScroll;
};

onMounted(() => {
  window.addEventListener('scroll', handleScroll);
});

onBeforeUnmount(() => {
  window.removeEventListener('scroll', handleScroll);
});
</script>

<style scoped>
header {
  will-change: transform;
}
</style>
